# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "slipstream-feeds"
version = "0.5.3"
authors = ["hachha <hachha@hachha.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Feed fetching, filtering, and aggregating utilities."
homepage = "https://github.com/HarrisonHall/slipstream"
readme = "README.md"
keywords = [
    "rss",
    "atom",
    "feed",
    "reader",
]
categories = []
license-file = "LICENSE"
repository = "https://github.com/HarrisonHall/slipstream"
resolver = "2"

[lib]
name = "slipstream_feeds"
path = "src/lib.rs"

[dependencies.async-trait]
version = "0.1.85"

[dependencies.atom_syndication]
version = "0.12.7"

[dependencies.chrono]
version = "0.4.41"
features = ["serde"]

[dependencies.fast_html2md]
version = "0.0.48"

[dependencies.futures]
version = "0.3.31"

[dependencies.reqwest]
version = "0.12.23"
features = ["rustls-tls"]
default-features = false

[dependencies.resolve-path]
version = "0.1.0"

[dependencies.rss]
version = "2.0.12"

[dependencies.serde]
version = "1.0.219"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.tokio]
version = "1.47.1"
features = [
    "sync",
    "rt",
    "rt-multi-thread",
    "macros",
    "process",
    "signal",
]

[dependencies.tokio-stream]
version = "0.1.17"

[dependencies.tracing]
version = "0.1.41"

[dependencies.tracing-test]
version = "0.2"

[dev-dependencies.tracing-subscriber]
version = "0.3.20"
